use crate::prelude::*;
use serde::{Deserialize, Serialize};

#[derive(Deserialize, Serialize)]
pub(crate) enum ToClient {
    ChatLine { id: Id, line: String },
    ClientConnected { id: Id },
    ClientDisconnected { id: Id },
}

#[derive(Deserialize, Serialize)]
pub(crate) enum ToServer {
    ChatLine { line: String, sequence: u64 },
}
